# Class yii\mongodb\LogBuilder

Inheritance | yii\mongodb\LogBuilder » yii\base\BaseObject
Implements | yii\base\Configurable
Available since version | 2.1
Source Code | https://github.com/yiisoft/yii2-mongodb/blob/master/LogBuilder.php

LogBuilder allows composition and escaping of the log entries.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
encodeData() | Encodes complex log data into JSON format string. | yii\mongodb\LogBuilder
generateToken() | Generate log/profile token. | yii\mongodb\LogBuilder
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
processData() | Pre-processes the log data before sending it to `json_encode()`. | yii\mongodb\LogBuilder

## Method Details

encodeData() public method

Encodes complex log data into JSON format string.

public string encodeData ( $data )
$data | mixed | Raw data.
return | string | Encoded data string.

generateToken() public method

Generate log/profile token.

public string generateToken ( $namespace, $data = [] )
$namespace | string|array | Command namespace
$data | array | Command data.
return | string | Token.

processData() protected method

Pre-processes the log data before sending it to `json_encode()`.

protected mixed processData ( $data )
$data | mixed | Raw data.
return | mixed | The processed data.